Documents

Download Document Package

Download a document as a zip file containing the document JSON, XML, and any binary attachments. Optionally include an autogenerated PDF based on the generatePdf query parameter.

GET
/api/v1/documents/{documentId}/download-package
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

documentId*string

The ID of the document to download

Query Parameters

generatePdf?string

When to include the autogenerated PDF in the package

Default"never"
Value in"never" | "always" | "when_no_pdf_attachment"

Response Body

application/zip

application/json

application/json

curl -X GET "https://app.recommand.eu/api/v1/documents/string/download-package"
"string"
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}